Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXTreeTable.TreeTableHackerExt3

    java.lang.Object
      org.jdesktop.swingx.JXTreeTable.TreeTableHacker
          org.jdesktop.swingx.JXTreeTable.TreeTableHackerExt
              org.jdesktop.swingx.JXTreeTable.TreeTableHackerExt2
                  org.jdesktop.swingx.JXTreeTable.TreeTableHackerExt3

Enclosing class:
  JXTreeTable

    public class JXTreeTable.TreeTableHackerExt3

extends JXTreeTable.TreeTableHackerExt2

A more (or less, depending in pov :-) aggressiv hacker. Compared to super, it dispatches less events to address open issues.

Issue #474-swingx: double click should start edit (not expand/collapse) changed mightBeExpansionTrigger to filter out clickCounts > 1

Issue #875-swingx: cell selection mode changed the dispatch to do so only if mouse event outside content box and leading

Issue #1169-swingx: remove 1.5 dnd hack removed the additional dispatch here and changed in the implementation of hackAroundDragEnabled to no longer look for the system property (it's useless even if set)

Author:
  tiberiu@dev.java.net

Field Summary

Fields inherited from class org.jdesktop.swingx.JXTreeTable.TreeTableHacker
`expansionChangedFlag`

Constructor Summary
`JXTreeTable.TreeTableHackerExt3()`

Method Summary
`protected boolean` | `expandOrCollapseNode(int column, java.util.EventObject e)` Tricksery to make the tree expand/collapse.
`protected boolean` | `mightBeExpansionTrigger(java.util.EventObject e)` Overridden to exclude clickcounts > 1.

Methods inherited from class org.jdesktop.swingx.JXTreeTable.TreeTableHackerExt2
`getTreeMousePoint`

Methods inherited from class org.jdesktop.swingx.JXTreeTable.TreeTableHackerExt
`isHitDetectionFromProcessMouse`

Methods inherited from class org.jdesktop.swingx.JXTreeTable.TreeTableHacker
`completeEditing, expansionChanged, hitHandleDetectionFromEditCell, hitHandleDetectionFromProcessMouse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXTreeTable.TreeTableHackerExt3

    public JXTreeTable.TreeTableHackerExt3()

Method Detail

### expandOrCollapseNode

    protected boolean expandOrCollapseNode(int column,
                                           java.util.EventObject e)

  Description copied from class: `JXTreeTable.TreeTableHacker`
  Tricksery to make the tree expand/collapse.

  This might be - indirectly - called from one of two places:

  1. editCellAt: original, stable but buggy (#332, #222) the table's own selection had been changed due to the click before even entering into editCellAt so all tree selection state is lost.
  2. processMouseEvent: the idea is to catch the mouseEvent, check if it triggered an expanded/collapsed, consume and return if so or pass to super if not.

  widened access for testing ...

  Overrides:
    `expandOrCollapseNode` in class `JXTreeTable.TreeTableHackerExt2`
  Parameters:
    `column` - the column index under the event, if any.
    `e` - the event which might trigger a expand/collapse.
  Returns:
    this methods evaluation as to whether the event triggered a expand/collaps

### mightBeExpansionTrigger

    protected boolean mightBeExpansionTrigger(java.util.EventObject e)

  Overridden to exclude clickcounts > 1.

  Overrides:
    `mightBeExpansionTrigger` in class `JXTreeTable.TreeTableHacker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.